from alltests import *
from oops import *
import os


class ParallelTests(TestCase):
	def compare_lists(self, l1, l2):
		self.failUnless(l1==l2, "lists are different")

	def runTest(self):
		normal_list = list()
		oops_list = List()
		#append
		normal_list.append(0)
		oops_list.append(0)
		self.compare_lists(normal_list, oops_list)
		#extend
		normal_list.extend(range(5))
		oops_list.extend(range(5))
		self.compare_lists(normal_list, oops_list)
		#insert
		normal_list.insert(3, "insert!")
		oops_list.insert(3, "insert!")
		self.compare_lists(normal_list, oops_list)
		#setitem
		normal_list[1] = "setitem!"
		oops_list[1] = "setitem!"
		self.compare_lists(normal_list, oops_list)
		#setslice
		normal_list[3:] = range(0, 21, 4)
		oops_list[3:] = range(0, 21, 4)
		self.compare_lists(normal_list, oops_list)
		#delitem
		del normal_list[2]
		del oops_list[2]
		self.compare_lists(normal_list, oops_list)
		#delslice
		del normal_list[:3], oops_list[:3]
		self.compare_lists(normal_list, oops_list)



ListSuite = TestSuite([ParallelTests()])
testsuites.append(ListSuite)
